### Hierarchy

- RTCPeerConnection
  - webkitRTCPeerConnection

## Index

### Properties

- RTCPeerConnection
- canTrickleIceCandidates
- connectionState
- currentLocalDescription
- currentRemoteDescription
- iceConnectionState
- iceGatheringState
- idpErrorInfo
- idpLoginUrl
- localDescription
- onconnectionstatechange
- ondatachannel
- onicecandidate
- onicecandidateerror
- oniceconnectionstatechange
- onicegatheringstatechange
- onnegotiationneeded
- onsignalingstatechange
- onstatsended
- ontrack
- peerIdentity
- pendingLocalDescription
- pendingRemoteDescription
- remoteDescription
- sctp
- signalingState

### Methods

- addEventListener
- addIceCandidate
- addTrack
- addTransceiver
- close
- createAnswer
- createDataChannel
- createOffer
- dispatchEvent
- getConfiguration
- getIdentityAssertion
- getReceivers
- getSenders
- getStats
- getTransceivers
- removeEventListener
- removeTrack
- setConfiguration
- setIdentityProvider
- setLocalDescription
- setRemoteDescription

## Properties

### RTCPeerConnection

RTCPeerConnection: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11639

#### Type declaration

- ##### constructor: function

  - new __type(configuration?: RTCConfiguration): RTCPeerConnection
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11640

    #### Parameters

    - ##### Optional configuration: RTCConfiguration

    #### Returns RTCPeerConnection

- ##### prototype: RTCPeerConnection

- ##### generateCertificate: function

  - generateCertificate(keygenAlgorithm: AlgorithmIdentifier): Promise<RTCCertificate>
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11642

    #### Parameters

    - ##### keygenAlgorithm: AlgorithmIdentifier

    #### Returns Promise<RTCCertificate>

- ##### getDefaultIceServers: function

  - getDefaultIceServers(): RTCIceServer[]
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11643

    #### Returns RTCIceServer[]

### canTrickleIceCandidates

canTrickleIceCandidates: boolean | null

Inherited from RTCPeerConnection.canTrickleIceCandidates

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11590

### connectionState

connectionState: RTCPeerConnectionState

Inherited from RTCPeerConnection.connectionState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11591

### currentLocalDescription

currentLocalDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.currentLocalDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11592

### currentRemoteDescription

currentRemoteDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.currentRemoteDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11593

### iceConnectionState

iceConnectionState: RTCIceConnectionState

Inherited from RTCPeerConnection.iceConnectionState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11594

### iceGatheringState

iceGatheringState: RTCIceGatheringState

Inherited from RTCPeerConnection.iceGatheringState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11595

### idpErrorInfo

idpErrorInfo: string | null

Inherited from RTCPeerConnection.idpErrorInfo

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11596

### idpLoginUrl

idpLoginUrl: string | null

Inherited from RTCPeerConnection.idpLoginUrl

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11597

### localDescription

localDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.localDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11598

### onconnectionstatechange

onconnectionstatechange: function | null

Inherited from RTCPeerConnection.onconnectionstatechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11599

### ondatachannel

ondatachannel: function | null

Inherited from RTCPeerConnection.ondatachannel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11600

### onicecandidate

onicecandidate: function | null

Inherited from RTCPeerConnection.onicecandidate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11601

### onicecandidateerror

onicecandidateerror: function | null

Inherited from RTCPeerConnection.onicecandidateerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11602

### oniceconnectionstatechange

oniceconnectionstatechange: function | null

Inherited from RTCPeerConnection.oniceconnectionstatechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11603

### onicegatheringstatechange

onicegatheringstatechange: function | null

Inherited from RTCPeerConnection.onicegatheringstatechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11604

### onnegotiationneeded

onnegotiationneeded: function | null

Inherited from RTCPeerConnection.onnegotiationneeded

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11605

### onsignalingstatechange

onsignalingstatechange: function | null

Inherited from RTCPeerConnection.onsignalingstatechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11606

### onstatsended

onstatsended: function | null

Inherited from RTCPeerConnection.onstatsended

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11607

### ontrack

ontrack: function | null

Inherited from RTCPeerConnection.ontrack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11608

### peerIdentity

peerIdentity: Promise<RTCIdentityAssertion>

Inherited from RTCPeerConnection.peerIdentity

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11609

### pendingLocalDescription

pendingLocalDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.pendingLocalDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11610

### pendingRemoteDescription

pendingRemoteDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.pendingRemoteDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11611

### remoteDescription

remoteDescription: RTCSessionDescription | null

Inherited from RTCPeerConnection.remoteDescription

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11612

### sctp

sctp: RTCSctpTransport | null

Inherited from RTCPeerConnection.sctp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11613

### signalingState

signalingState: RTCSignalingState

Inherited from RTCPeerConnection.signalingState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11614

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides RTCPeerConnection.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17042

  #### Type parameters

  - #### K: keyof RTCPeerConnectionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: webkitRTCPeerConnection, ev: RTCPeerConnectionEventMap[K]): any

      - #### Parameters

        - ##### this: webkitRTCPeerConnection

        - ##### ev: RTCPeerConnectionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides RTCPeerConnection.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17043

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### addIceCandidate

- addIceCandidate(candidate: RTCIceCandidateInit | RTCIceCandidate): Promise<void>

- Inherited from RTCPeerConnection.addIceCandidate

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11615

  #### Parameters

  - ##### candidate: RTCIceCandidateInit | RTCIceCandidate

  #### Returns Promise<void>

### addTrack

- addTrack(track: MediaStreamTrack, ...streams: MediaStream[]): RTCRtpSender

- Inherited from RTCPeerConnection.addTrack

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11616

  #### Parameters

  - ##### track: MediaStreamTrack

  - ##### Rest ...streams: MediaStream[]

  #### Returns RTCRtpSender

### addTransceiver

- addTransceiver(trackOrKind: MediaStreamTrack | string, init?: RTCRtpTransceiverInit): RTCRtpTransceiver

- Inherited from RTCPeerConnection.addTransceiver

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11617

  #### Parameters

  - ##### trackOrKind: MediaStreamTrack | string

  - ##### Optional init: RTCRtpTransceiverInit

  #### Returns RTCRtpTransceiver

### close

- close(): void

- Inherited from RTCPeerConnection.close

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11618

  #### Returns void

### createAnswer

- createAnswer(options?: RTCOfferOptions): Promise<RTCSessionDescriptionInit>

- Inherited from RTCPeerConnection.createAnswer

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11619

  #### Parameters

  - ##### Optional options: RTCOfferOptions

  #### Returns Promise<RTCSessionDescriptionInit>

### createDataChannel

- createDataChannel(label: string, dataChannelDict?: RTCDataChannelInit): RTCDataChannel

- Inherited from RTCPeerConnection.createDataChannel

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11620

  #### Parameters

  - ##### label: string

  - ##### Optional dataChannelDict: RTCDataChannelInit

  #### Returns RTCDataChannel

### createOffer

- createOffer(options?: RTCOfferOptions): Promise<RTCSessionDescriptionInit>

- Inherited from RTCPeerConnection.createOffer

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11621

  #### Parameters

  - ##### Optional options: RTCOfferOptions

  #### Returns Promise<RTCSessionDescriptionInit>

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getConfiguration

- getConfiguration(): RTCConfiguration

- Inherited from RTCPeerConnection.getConfiguration

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11622

  #### Returns RTCConfiguration

### getIdentityAssertion

- getIdentityAssertion(): Promise<string>

- Inherited from RTCPeerConnection.getIdentityAssertion

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11623

  #### Returns Promise<string>

### getReceivers

- getReceivers(): RTCRtpReceiver[]

- Inherited from RTCPeerConnection.getReceivers

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11624

  #### Returns RTCRtpReceiver[]

### getSenders

- getSenders(): RTCRtpSender[]

- Inherited from RTCPeerConnection.getSenders

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11625

  #### Returns RTCRtpSender[]

### getStats

- getStats(selector?: MediaStreamTrack | null): Promise<RTCStatsReport>

- Inherited from RTCPeerConnection.getStats

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11626

  #### Parameters

  - ##### Optional selector: MediaStreamTrack | null

  #### Returns Promise<RTCStatsReport>

### getTransceivers

- getTransceivers(): RTCRtpTransceiver[]

- Inherited from RTCPeerConnection.getTransceivers

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11627

  #### Returns RTCRtpTransceiver[]

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides RTCPeerConnection.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17044

  #### Type parameters

  - #### K: keyof RTCPeerConnectionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: webkitRTCPeerConnection, ev: RTCPeerConnectionEventMap[K]): any

      - #### Parameters

        - ##### this: webkitRTCPeerConnection

        - ##### ev: RTCPeerConnectionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides RTCPeerConnection.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17045

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### removeTrack

- removeTrack(sender: RTCRtpSender): void

- Inherited from RTCPeerConnection.removeTrack

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11628

  #### Parameters

  - ##### sender: RTCRtpSender

  #### Returns void

### setConfiguration

- setConfiguration(configuration: RTCConfiguration): void

- Inherited from RTCPeerConnection.setConfiguration

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11629

  #### Parameters

  - ##### configuration: RTCConfiguration

  #### Returns void

### setIdentityProvider

- setIdentityProvider(provider: string, options?: RTCIdentityProviderOptions): void

- Inherited from RTCPeerConnection.setIdentityProvider

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11630

  #### Parameters

  - ##### provider: string

  - ##### Optional options: RTCIdentityProviderOptions

  #### Returns void

### setLocalDescription

- setLocalDescription(description: RTCSessionDescriptionInit): Promise<void>

- Inherited from RTCPeerConnection.setLocalDescription

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11631

  #### Parameters

  - ##### description: RTCSessionDescriptionInit

  #### Returns Promise<void>

### setRemoteDescription

- setRemoteDescription(description: RTCSessionDescriptionInit): Promise<void>

- Inherited from RTCPeerConnection.setRemoteDescription

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11632

  #### Parameters

  - ##### description: RTCSessionDescriptionInit

  #### Returns Promise<void>

Generated using TypeDoc